/*
*	The main() method is called from _load.gsc - See tutorial.
*/

main() {
	thread rocketarena\setup::setupDvars();							//calls/threads the setupDvars() method in the gsc called setup
	thread onNewConnection();
	thread precache();												//non-standard weapons must be precached in order for them to be used ingame.
}

onNewConnection() {													//This method uses an infinite loop to monitor for players connecting

	for(;;) {
		level waittill("connected", player);						//Halts the loop until a player connects, it then assigns the player the identifier "player"
		player thread rocketarena\weapons::setupWeaponsPerSpawn();	//Calls the method on the player who connected.
	}
}

precache() {
	precacheItem("rpg_arena_mp");
}